
<div class="content-sub">                      
  <mat-lable class="required-label-color">Preference:</mat-lable>
  <mat-radio-group  aria-label="Select an option"style="padding-left: 25px;">
    <mat-radio-button *ngFor="let itm of item" [value]="itm">{{itm}}&nbsp;&nbsp;</mat-radio-button>
    </mat-radio-group>
<div *ngIf="false">
  <div *ngFor="let a of item" class="content-sub">                                    
    <mat-lable class="required-label-color">{{a}}</mat-lable>
    <mat-radio-group aria-label="Select an option"style="padding-left: 25px;">
    </mat-radio-group>
  </div>
</div>
</div>